#include<bits/stdc++.h>
#include "vision.h"
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(vector<int> v)
{
    if(v.size() == 7)
    {
        if(v[1] == 1)
            return 6;
        else
            return 0;
    }
    if(v.size() == 5)
    {
        if(v[4] == 3)
            return 1;
        else
            return 3;
    }
    if(v[0] == 3)
        return 0;
    else
        return 2;
}


vector<vector<int>> getVisionPattern2d()
{
    return {{}};
}

pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0,0};
}
